SQLExceptionConverterFactory (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.exception.spi
Class SQLExceptionConverterFactory

    java.lang.Object
      org.hibernate.exception.spi.SQLExceptionConverterFactory

    public class SQLExceptionConverterFactory

extends Object

A factory for building SQLExceptionConverter instances.

Method Summary
`static SQLExceptionConverter` | `buildMinimalSQLExceptionConverter()` Builds a minimal converter.
`static SQLExceptionConverter` | `buildSQLExceptionConverter(Dialect dialect, Properties properties)` Build a SQLExceptionConverter instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### buildSQLExceptionConverter

    public static SQLExceptionConverter buildSQLExceptionConverter(Dialect dialect,
                                                                   Properties properties)
                                                            throws HibernateException

  Build a SQLExceptionConverter instance.

  First, looks for a `AvailableSettings.SQL_EXCEPTION_CONVERTER` property to see if the configuration specified the class of a specific converter to use. If this property is set, attempt to construct an instance of that class. If not set, or if construction fails, the converter specific to the dialect will be used.

  Parameters:
    `dialect` - The defined dialect.
    `properties` - The configuration properties.
  Returns:
    An appropriate SQLExceptionConverter instance.
  Throws:
    `HibernateException` - There was an error building the SQLExceptionConverter.

### buildMinimalSQLExceptionConverter

    public static SQLExceptionConverter buildMinimalSQLExceptionConverter()

  Builds a minimal converter. The instance returned here just always converts to `GenericJDBCException`.

  Returns:
    The minimal converter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.